%% generate measurment
V = zeros(M,T);
W = zeros(Nt,T);
y0 = zeros(T,1);
for t = 1:T
    V(:,t) = exp(1j*2*pi*rand(M,1));
    W(:,t) = ( 1/sqrt(Nt))*exp(1j*2*pi*rand(Nt,1));
    W(:,t) = sqrt(1/2)*(randn(Nt,1)+1j*randn(Nt,1));
    W(:,t) = W(:,t)/norm(W(:,t));
%     y0(t) = V(:,t)'*H_cas*W(:,t);
end
VW = tKR(W.',V');

y0 = VW*vecH_0;

Phi = VW*Atrr;




